[
  {
    "Type": "BlueprintGeneratedClass",
    "Name": "PCGAsset_C",
    "Class": "UScriptClass'BlueprintGeneratedClass'",
    "Flags": "RF_Public | RF_Transactional | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement'",
      "ObjectPath": "/Script/PCG"
    },
    "Children": [
      {
        "ObjectName": "Function'PCGAsset_C:NodeColorOverride'",
        "ObjectPath": "/PCG/BP_Elements/PCGAsset.2"
      },
      {
        "ObjectName": "Function'PCGAsset_C:NodeTitleOverride'",
        "ObjectPath": "/PCG/BP_Elements/PCGAsset.3"
      },
      {
        "ObjectName": "Function'PCGAsset_C:ExecuteWithContext'",
        "ObjectPath": "/PCG/BP_Elements/PCGAsset.1"
      }
    ],
    "ChildProperties": [
      {
        "Type": "StructProperty",
        "Name": "PCGDataCollection",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 32,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Struct": {
          "ObjectName": "Class'PCGDataCollection'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "NameProperty",
        "Name": "NodeTitle",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 12,
        "PropertyFlags": "Edit | BlueprintVisible | DisableEditOnInstance"
      },
      {
        "Type": "NameProperty",
        "Name": "NodeColor",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 12,
        "PropertyFlags": "Edit | BlueprintVisible | DisableEditOnInstance"
      }
    ],
    "FuncMap": {
      "ExecuteWithContext": {
        "ObjectName": "Function'PCGAsset_C:ExecuteWithContext'",
        "ObjectPath": "/PCG/BP_Elements/PCGAsset.1"
      },
      "NodeTitleOverride": {
        "ObjectName": "Function'PCGAsset_C:NodeTitleOverride'",
        "ObjectPath": "/PCG/BP_Elements/PCGAsset.3"
      },
      "NodeColorOverride": {
        "ObjectName": "Function'PCGAsset_C:NodeColorOverride'",
        "ObjectPath": "/PCG/BP_Elements/PCGAsset.2"
      }
    },
    "ClassFlags": "CLASS_ReplicationDataIsSetUp | CLASS_CompiledFromBlueprint",
    "ClassWithin": {
      "ObjectName": "Class'Object'",
      "ObjectPath": "/Script/CoreUObject"
    },
    "ClassConfigName": "Engine",
    "bCooked": true,
    "ClassDefaultObject": {
      "ObjectName": "PCGAsset_C'Default__PCGAsset_C'",
      "ObjectPath": "/PCG/BP_Elements/PCGAsset.4"
    },
    "EditorTags": {
      "BlueprintType": "BPTYPE_Normal"
    }
  },
  {
    "Type": "Function",
    "Name": "ExecuteWithContext",
    "Outer": "PCGAsset_C",
    "Class": "UScriptClass'Function'",
    "Flags": "RF_Public | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement:ExecuteWithContext'",
      "ObjectPath": "/Script/PCG"
    },
    "ChildProperties": [
      {
        "Type": "StructProperty",
        "Name": "InContext",
        "Flags": "RF_Public",
        "ElementSize": 184,
        "PropertyFlags": "BlueprintVisible | BlueprintReadOnly | Parm | OutParm | ReferenceParm",
        "Struct": {
          "ObjectName": "Class'PCGContext'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "Input",
        "Flags": "RF_Public",
        "ElementSize": 32,
        "PropertyFlags": "ConstParm | BlueprintVisible | BlueprintReadOnly | Parm | OutParm | ReferenceParm",
        "Struct": {
          "ObjectName": "Class'PCGDataCollection'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "Output",
        "Flags": "RF_Public",
        "ElementSize": 32,
        "PropertyFlags": "Parm | OutParm",
        "Struct": {
          "ObjectName": "Class'PCGDataCollection'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ArrayProperty",
        "Name": "OutTaggedData",
        "Flags": "RF_Public",
        "ElementSize": 16,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Inner": {
          "Type": "StructProperty",
          "Name": "OutTaggedData",
          "Flags": "RF_Public",
          "ElementSize": 104,
          "Struct": {
            "ObjectName": "Class'PCGTaggedData'",
            "ObjectPath": "/Script/PCG"
          }
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_GetComponent_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "InstancedReference",
        "PropertyClass": {
          "ObjectName": "Class'PCGComponent'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "Temp_int_Array_Index_Variable",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_GetOwner_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'Actor'",
          "ObjectPath": "/Script/Engine"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "Temp_int_Loop_Counter_Variable",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Add_IntInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "StructProperty",
        "Name": "K2Node_MakeStruct_PCGDataCollection",
        "Flags": "RF_Public",
        "ElementSize": 32,
        "Struct": {
          "ObjectName": "Class'PCGDataCollection'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_Array_Get_Item",
        "Flags": "RF_Public",
        "ElementSize": 104,
        "Struct": {
          "ObjectName": "Class'PCGTaggedData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Array_Length_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_Less_IntInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "ObjectProperty",
        "Name": "K2Node_DynamicCast_AsPCGSpatial_Data",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGSpatialData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "K2Node_DynamicCast_bSuccess",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "StructProperty",
        "Name": "K2Node_MakeStruct_PCGTaggedData",
        "Flags": "RF_Public",
        "ElementSize": 104,
        "Struct": {
          "ObjectName": "Class'PCGTaggedData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Array_Add_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      }
    ],
    "FunctionFlags": "FUNC_Event | FUNC_Public | FUNC_HasOutParms | FUNC_HasDefaults | FUNC_BlueprintCallable | FUNC_BlueprintEvent"
  },
  {
    "Type": "Function",
    "Name": "NodeColorOverride",
    "Outer": "PCGAsset_C",
    "Class": "UScriptClass'Function'",
    "Flags": "RF_Public | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement:NodeColorOverride'",
      "ObjectPath": "/Script/PCG"
    },
    "ChildProperties": [
      {
        "Type": "StructProperty",
        "Name": "ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 16,
        "PropertyFlags": "Parm | OutParm | ReturnParm",
        "Struct": {
          "ObjectName": "Class'LinearColor'",
          "ObjectPath": "/Script/CoreUObject"
        }
      }
    ],
    "FunctionFlags": "FUNC_Event | FUNC_Public | FUNC_HasOutParms | FUNC_BlueprintCallable | FUNC_BlueprintEvent | FUNC_Const"
  },
  {
    "Type": "Function",
    "Name": "NodeTitleOverride",
    "Outer": "PCGAsset_C",
    "Class": "UScriptClass'Function'",
    "Flags": "RF_Public | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement:NodeTitleOverride'",
      "ObjectPath": "/Script/PCG"
    },
    "ChildProperties": [
      {
        "Type": "NameProperty",
        "Name": "ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 12,
        "PropertyFlags": "Parm | OutParm | ReturnParm"
      }
    ],
    "FunctionFlags": "FUNC_Event | FUNC_Public | FUNC_HasOutParms | FUNC_BlueprintCallable | FUNC_BlueprintEvent | FUNC_Const"
  },
  {
    "Type": "PCGAsset_C",
    "Name": "Default__PCGAsset_C",
    "Class": "BlueprintGeneratedClass'/PCG/BP_Elements/PCGAsset.PCGAsset_C'",
    "Flags": "RF_Public | RF_ClassDefaultObject | RF_ArchetypeObject | RF_WasLoaded | RF_LoadCompleted",
    "Properties": {
      "PCGDataCollection": {
        "TaggedData": [],
        "bCancelExecutionOnEmpty": false
      },
      "bHasDefaultInPin": false
    }
  }
]